<?php

/************************************************************************/
/* PHP-NUKE: Web Portal System                                          */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2002 by Francisco Burzi                                */
/* http://phpnuke.org                                                   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/********************************************************/
/* NSN News                                             */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.net                           */
/* Copyright  2000-2003 by NukeScripts Network         */
/********************************************************/

$module_name = basename(dirname(__FILE__));
if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    Header("Location: ../../modules.php?name=$module_name");
}

$index = 1;
require_once("mainfile.php");
get_lang($module_name);
automated_news();
if (isset($new_topic)) { Header("Location: modules.php?name=$module_name&file=topics&topic=$new_topic"); }

switch ($op) {

    default:
        if (!isset($min)) { $min = 0; }
        if (!isset($max)) { $max = $min + $storyhome; }
        if ($multilingual == 1) { $querylang = "WHERE (alanguage='$currentlang' OR alanguage='')"; } else { $querylang = ""; }
        include("header.php");
        if (isset($cookie[3])) { $storynum = $cookie[3]; } else { $storynum = $storyhome; }
        $result = $db->sql_query("SELECT * FROM ".$prefix."_stories $querylang");
        $totalarticles = $db->sql_numrows($result);
        $result = $db->sql_query("SELECT * FROM ".$prefix."_stories $querylang ORDER BY sid DESC LIMIT $min,$storynum");
        echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
        $a = 0;
        while ($artinfo = $db->sql_fetchrow($result)) {
            getTopics($artinfo['sid']);
            formatTimestamp($artinfo['time']);
            $subject = stripslashes($subject);
            $artinfo['hometext'] = stripslashes($artinfo['hometext']);
            $artinfo['notes'] = stripslashes($artinfo['notes']);
            $introcount = strlen(strip_tags($artinfo['hometext'], "<br>"));
            $fullcount = strlen($artinfo['bodytext']);
            $totalcount = $introcount + $fullcount;
            $r_options = "";
            if (isset($cookie[4])) { $r_options .= "&amp;mode=$cookie[4]"; } else { $r_options .= "&amp;mode=thread"; }
            if (isset($cookie[5])) { $r_options .= "&amp;order=$cookie[5]"; } else { $r_options .= "&amp;order=0"; }
            if (isset($cookie[6])) { $r_options .= "&amp;thold=$cookie[6]"; } else { $r_options .= "&amp;thold=0"; }
            if (is_user($user)) {
                $the_icons = " | <a href='modules.php?name=$module_name&amp;file=print&amp;sid=".$artinfo['sid']."'><img src='images/print.gif' border='0' alt='"._PRINTER."' title='"._PRINTER."' width='16' height='11'></a>&nbsp;&nbsp;<a href='modules.php?name=$module_name&amp;file=friend&amp;op=FriendSend&amp;sid=".$artinfo['sid']."'><img src='images/friend.gif' border='0' alt='"._FRIEND."' title='"._FRIEND."' width='16' height='11'></a>";
            } else { $the_icons = ""; }
            $story_link = "<a href='modules.php?name=$module_name&amp;file=article&amp;sid=".$artinfo['sid']."$r_options'>";
            $morelink = "(";
            if ($introcount > 255 OR $fullcount > 0 OR $artinfo['comments'] > 0 OR $articlecomm == 0 OR $artinfo['acomm'] == 1) {
                $morelink .= "$story_link<b>"._READMORE."</b></a> | ";
            } else { $morelink .= ""; }
            if ($introcount > 255) {
                $artinfo['hometext'] = strip_tags($artinfo['hometext'], "<br>");
                $artinfo['hometext'] = substr($artinfo['hometext'], 0, 255);
            }
            if ($fullcount > 0) { $morelink .= "$totalcount "._BYTESMORE." | "; }
            if ($articlecomm == 1 AND $artinfo['acomm'] == 0) {
                if ($artinfo['comments'] == 0) {
                    $morelink .= "$story_link"._COMMENTSQ."</a>";
                } elseif ($artinfo['comments'] == 1) {
                    $morelink .= "$story_link".$artinfo['comments']." "._COMMENT."</a>";
                } elseif ($artinfo['comments'] > 1) {
                    $morelink .= "$story_link".$artinfo['comments']." "._COMMENTS."</a>";
                }
            }
            $morelink .= "$the_icons";
            $sid = $artinfo['sid'];
            if ($artinfo['catid'] != 0) {
                $result3 = $db->sql_query("SELECT title FROM ".$prefix."_stories_cat WHERE catid='".$artinfo['catid']."'");
                $catinfo = $db->sql_fetchrow($result3);
                $morelink .= " | <a href='modules.php?name=$module_name&amp;file=categories&amp;op=newindex&amp;catid=".$artinfo['catid']."'>".$catinfo['title']."</a>";
            }
            if ($artinfo['score'] != 0) {
                $rated = substr($artinfo['score'] / $artinfo['ratings'], 0, 4);
            } else { $rated = 0; }
            $morelink .= " | "._SCORE." $rated";
            $morelink .= ")";
            $morelink = str_replace(" |  | ", " | ", $morelink);
            if ($a == 0) { echo "<tr>"; }
            echo "<td valign='top' width='50%'>";
            themeindex($artinfo['aid'], $artinfo['informant'], $datetime, $artinfo['title'], $artinfo['counter'], $artinfo['topic'], $artinfo['hometext'], $artinfo['notes'], $morelink, $topicname, $topicimage, $topictext);
            echo "</td>\n";
            $a++;
            if ($a == 2) { echo "</tr>"; $a = 0; }
        }
        if ($a ==1) { echo "<td width='50%'>&nbsp;</td></tr>\n"; } else { echo "</tr>\n"; }
        echo "</table>\n";
        echo "\n<!-- PAGING -->\n";
        $articlepagesint = ($totalarticles / $storynum);
        $articlepageremain = ($totalarticles % $storynum);
        if ($articlepageremain != 0) {
            $articlepages = ceil($articlepagesint);
            if ($totalarticles < $storynum) { $articlepageremain = 0; }
        } else {
            $articlepages = $articlepagesint;
        }
        if ($articlepages!=1 && $articlepages!=0) {
            echo "<br>\n";
            OpenTable();
            echo "<table align='center' border='0' cellpadding='2' cellspacing='2'>\n";
            echo "<tr>\n";
            $counter = 1;
            $currentpage = ($max / $storyhome);
            echo "<form action='modules.php?name=$module_name' method='post'>\n";
            echo "<td><b>"._ART_SELECT." </b><select name='min' onChange='top.location.href=this.options[this.selectedIndex].value'>\n";
            while ($counter <= $articlepages ) {
                $cpage = $counter;
                $mintemp = ($storynum * $counter) - $storynum;
                if ($counter == $currentpage) {
                    echo "<option selected>$counter</option>\n";
                } else {
                    echo "<option value='modules.php?name=$module_name&amp;min=$mintemp'>$counter</option>\n";
                }
                $counter++;
            }
            echo "</select><b> "._ART_OF." $articlepages "._ART_PAGES.".</b></td>\n</form>\n";
            echo "</tr>\n";
            echo "</table>\n";
            CloseTable();
        }
        echo "<!-- CLOSE PAGING -->\n";
        include("footer.php");
    break;

    case "rate_article":
        $score = intval($score);
        if ($score) {
            if ($score > 5) { $score = 5; }
            if ($score < 1) { $score = 1; }
            if ($score != 1 AND $score != 2 AND $score != 3 AND $score != 4 AND $score != 5) {
                Header("Location: index.php");
                die();
            }
            if (isset($ratecookie)) {
                $rcookie = base64_decode($ratecookie);
                $r_cookie = explode(":", $rcookie);
            }
            for ($i=0; $i < sizeof($r_cookie); $i++) { if ($r_cookie[$i] == $sid) { $a = 1; } }
            if ($a == 1) {
                Header("Location: modules.php?name=$module_name&op=rate_complete&sid=$sid&rated=1");
            } else {
                $result = $db->sql_query("update ".$prefix."_stories set score=score+$score, ratings=ratings+1 where sid='$sid'");
                $info = base64_encode("$rcookie$sid:");
                setcookie("ratecookie","$info",time()+3600);
                Header("Location: modules.php?name=$module_name&op=rate_complete&sid=$sid$r_options");
            }
        } else {
            include("header.php");
            title("$sitename: "._ARTICLERATING."");
            OpenTable();
            echo "<center>"._DIDNTRATE."<br><br>\n";
            echo ""._GOBACK."</center>\n";
            CloseTable();
            include("footer.php");
        }
    break;

    case "rate_complete":
        $r_options = "";
        if (is_user($user)) {
            if (isset($cookie[4])) { $r_options .= "&amp;mode=$cookie[4]"; } else { $r_options .= "&amp;mode=thread"; }
            if (isset($cookie[5])) { $r_options .= "&amp;order=$cookie[5]"; } else { $r_options .= "&amp;order=0"; }
            if (isset($cookie[6])) { $r_options .= "&amp;thold=$cookie[6]"; } else { $r_options .= "&amp;thold=0"; }
        }
        include("header.php");
        title("$sitename: "._ARTICLERATING."");
        OpenTable();
        if ($rated == 0) {
            echo "<center>"._THANKSVOTEARTICLE."<br><br>";
            echo "[ <a href='modules.php?name=$module_name&amp;file=article&amp;sid=$sid$r_options'>"._BACKTOARTICLEPAGE."</a> ]</center>";
        } elseif ($rated == 1) {
            echo "<center>"._ALREADYVOTEDARTICLE."<br><br>";
            echo "[ <a href='modules.php?name=$module_name&amp;file=article&amp;sid=$sid$r_options'>"._BACKTOARTICLEPAGE."</a> ]</center>";
        }
        CloseTable();
        include("footer.php");
    break;

}

?>
